Loading...
Searching...
No Matches
iio.ScanContext Class Reference

iio.ScanContext class: Class for getting information about the available contexts. More...

## Public Member Functions

Dictionary< string, string > | get_usb_backend_contexts ()
| Gets the uri and the description of all available contexts with USB backend.
Dictionary< string, string > | get_local_backend_contexts ()
Dictionary< string, string > | get_dns_sd_backend_contexts ()

## Detailed Description

iio.ScanContext class: Class for getting information about the available contexts.

## Member Function Documentation

## get_dns_sd_backend_contexts()

Dictionary< string, string > iio.ScanContext.get_dns_sd_backend_contexts | ( |  | ) |

inline

Gets the uri and the description of all available contexts from dns_sd backend.

Returns
  a Dictionary<String, String> containing the context's uri as key and its description as value.

## get_local_backend_contexts()

Dictionary< string, string > iio.ScanContext.get_local_backend_contexts | ( |  | ) |

inline

Gets the uri and the description of all available contexts with local backend.

Returns
  a Dictionary<String, String> containing the context's uri as key and its description as value.

## get_usb_backend_contexts()

Dictionary< string, string > iio.ScanContext.get_usb_backend_contexts | ( |  | ) |

inline

Gets the uri and the description of all available contexts with USB backend.

Returns
  a Dictionary<String, String> containing the context's uri as key and its description as value.

The documentation for this class was generated from the following file:

- bindings/csharp/ScanContext.cs